summaryrefslogtreecommitdiff
path: root/tcwg-llvm-release.sh
diff options
context:
space:
mode:
authorRenato Golin <renato.golin@linaro.org>2017-04-21 14:18:07 +0100
committerRenato Golin <renato.golin@linaro.org>2017-04-21 15:16:20 +0100
commit2e9fae87caffd05de17a02a9195233a21d06d572 (patch)
tree7e632b682384d43d36f0f8edbf38cc1b6c995353 /tcwg-llvm-release.sh
parent4efada0955574acbfbb90ea703891a9cd3d8a5e9 (diff)
tcwg-llvm-release.sh: Ignore test results until the end
We want to push the binary up to be available to another job (say test-suite) even if there are test failures on the third stage, so we need to spawn it to background, so the return value can be handled without breaking the 'set -e' assumptions. Change-Id: I7e1621aee2d2c0b4bb79d997457a17440d01f2c8
Diffstat (limited to 'tcwg-llvm-release.sh')
-rwxr-xr-xtcwg-llvm-release.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/tcwg-llvm-release.sh b/tcwg-llvm-release.sh
index 17157c20..42185ab6 100755
--- a/tcwg-llvm-release.sh
+++ b/tcwg-llvm-release.sh
@@ -164,7 +164,13 @@ cd "$WORKSPACE" && svn cat $SCRIPT_URL > $RELEASE_SCRIPT
cd "$WORKSPACE" && chmod +x $RELEASE_SCRIPT
# Call script
-cd "$WORKSPACE" && ./$RELEASE_SCRIPT -release $RELEASE $RCCALL -triple $TRIPLE -j$BUILDJOBS
+# - ignoring the return value until the end, because of set -e
+# - we want to push the binary public on success or failre
+result=0
+(
+ cd "$WORKSPACE" && ./$RELEASE_SCRIPT -release $RELEASE $RCCALL -triple $TRIPLE -j$BUILDJOBS
+) &
+wait $! || result=$?
# Ship
PKGNAME=clang+llvm-$RELEASE$RCTAG-$TRIPLE
@@ -174,3 +180,5 @@ FILESERVER=dev-01.tcwglab
ssh $FILESERVER mkdir -p $PUSHDIR
cd "$WORKSPACE/$RCDIR" && scp "$PKGNAME.tar.xz" $FILESERVER:"$PUSHDIR"
+
+exit $result